Webhooks

List a webhook's delivery attempts

Retrieve delivery attempt history for a specific webhook, newest first — whether an event was delivered, the HTTP response received, and how many retries occurred.

Authorization

Public key
x-fngs-public-key<token>

In: header

Path Parameters

webhookId*string

Unique identifier (UUID) of the webhook.

Formatuuid

Query Parameters

skip?|

Number of attempts to skip, for pagination.

Formatint64
Range0 <= value <= 9007199254740991
take?integer

Number of attempts per page (default: 10, max: 100).

Formatint64
Range1 <= value <= 100
Default10
orderDirection?string

Sort direction by creation date.

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

GET
/v0/webhooks/{webhookId}/attempts
curl -X GET "https://example.com/v0/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/attempts"
{  "status": "success",  "data": {    "attempts": [      {        "object": "webhook_attempt",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "webhookId": "ed71eef4-4c34-46dc-81fe-954e560454fd",        "eventType": "payment_success",        "sequence": -9007199254740991,        "statusCode": null,        "request": null,        "response": null,        "createdAt": 0      }    ],    "count": -1.7976931348623157e+308  }}